Index: npl/python/python/Python-2.7.10.tar.xz.asc
===================================================================
--- npl/python/python/Python-2.7.10.tar.xz.asc	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ 	(revision )
@@ -1,17 +1,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2
-
-iQIcBAABAgAGBQJVYKg7AAoJEATDZ8IYrdT/p4UP/RYnnxgYX0a/73mFvjvmBOHC
-KGdU4TQS3Cp/bKDCgIDTFlMMZIJO7pBdznCfsHN3Rv2ajjuiYjU6kqpDwXRt/SLF
-ExSAzndRDNvw7IJJlleWVv+vlBKGKfXXq7b83Kn6I0jzYS+Pt03RsmJ093mfMjh8
-YJZPedGWfaRPhQckoWvYD1vJDlNNe7+jyE1io884oZfvRX13SogP8wDLu+Iw/kDw
-vVy7PWk97iwqNOZYbgdk02n1qDzl1HENtFbJ4KI9uJpjCJf7Qqegjv9vT0F89yGv
-3OrtrcsxK0FuERiyfKzXqA+ie2UVTKohWEnyBTzjjM/jBupQCz2VuSxxnzswxDAI
-hvx6dXXrudIJfEnhTBmgFVZxZzzE8FnrxuaagyX58AmCo3fuft/o3BZs96IHUiir
-CA72BVBHw/QrTSqitSjidq/wMCj46OlsoqsVT/sGVnF3ohzU1Q+BpXq0B4fs6cOT
-HMHDCpm7xot6mH/CDszFUCCDsWMLFt8x2vl1jumN/h0Bs9s29qWfqS1L5NTqtzLS
-JhftvWqyJRddZCdOdXfzEk2kU9ddqutuKeiSJPgoAwfEIZt2FI9exQ5hyNZFYtGO
-Uwi+NMneIUkkX+hUaof4bGhwHrAi2ls6Ys+sm4wDM69asdXXxz8BuR4WngFCGI5H
-ArOsKSWsknIU7Iwr6Nk8
-=PlRW
------END PGP SIGNATURE-----
Index: npl/python/python/Python-2.7.15.tar.xz.asc
===================================================================
--- npl/python/python/Python-2.7.15.tar.xz.asc	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
+++ npl/python/python/Python-2.7.15.tar.xz.asc	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -0,0 +1,16 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAABCAAGBQJa5lMMAAoJEATDZ8IYrdT/kZoP/jxQcZQLglI/4Vor+bzGuvad
++uCJFnI37p98ByUdzqcF6ryKzbWoCkswr5+HMT2gVnxIfUV37rBa/cPLaHlTG+ZI
+dqFo87XCNeLiPNnAFk32Vq+NHFw1OhmlZfP7UnxYtomAtF2U2qUi1rfU3KHNpQuR
+rxsYD1A+5Sy5nWvpCOJ6x8tG6FFgCeHLfbrg6KtB10MqByXKXiOcp9VgdMBr0TwW
+Kesq0PuTr88lOQ9qIAS44SsCu2dfls1l+YLf41JtH0zBQryQyxDgfHnNf13PqRzH
+CekC3GwcV2Yw5MiSmsqEQtOag3RDggE+8mV5JAs1YmRMQ8wt3fit6EIhmATEwc4Z
+LfNxJrwhD8NoTTZ4jOI9hZW0BPBfdf0ezZa38ImWsOymP7m9Z+GrX1LMPxCn+68X
+PWxLS+sbLIyPD4XXPCeoMyX8cUz6/Z4XT8vtg1+Tud+nXjs8xA6i3eFt0MzxNGqg
+yixVnYp8ZMwImkF31g4tOAbEue0BXWRzm3GDGfOkiCN6YZ7BruC7YylgLMaXMrMV
+BoJN4bDcNgoyoqhYY1pV62Yu+n3WrBD4ch3kPtmJG1Gk5jCDXuH+y9tWetWrLqTZ
+EJA8GAGVLz9qdm+yfvWGYpRezb3ErH/fOF8qXvoOY/B5jEyh1xPgnqmOYuIsPZLX
+mihaoYBkGZpfDfCGutcm
+=2GQo
+-----END PGP SIGNATURE-----
Index: npl/python/python/python.SlackBuild
===================================================================
--- npl/python/python/python.SlackBuild	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.SlackBuild	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -2,6 +2,6 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/d/python
-# Created at Mon Aug  3 22:59:56 CEST 2015
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/d/python/
+# Created at Thu Aug 23 15:30:01 CEST 2018
 
 #DEP:ncurses
@@ -10,9 +10,10 @@
 #DEP:zlib
 #DEP:bzip2
-
+#DEP:sqlite
 
 
 ########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
+set -e
 source ./python.SlackBuild.orig
 
Index: npl/python/python/python.SlackBuild.orig
===================================================================
--- npl/python/python/python.SlackBuild.orig	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.SlackBuild.orig	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,5 +1,5 @@
 #!/bin/bash
 
-# Copyright 2008, 2009, 2012, 2013  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016, 2018  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -21,4 +21,5 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
 
 PKGNAM=python
@@ -26,5 +27,5 @@
 VERSION=$(echo $SRCNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
 BRANCH_VERSION=$(echo $VERSION | cut -f 1,2 -d . )
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
 
 NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -40,5 +41,12 @@
 fi
 
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -68,5 +76,5 @@
 rm -rf $SRCNAM-$VERSION
 tar xf $CWD/$SRCNAM-$VERSION.tar.xz || exit 1
-cd $SRCNAM-$VERSION
+cd $SRCNAM-$VERSION || exit 1
 
 zcat $CWD/python.readline.set_pre_input_hook.diff.gz | patch -p1 --verbose || exit 1
@@ -87,4 +95,7 @@
  -exec chmod 644 {} \;
 
+# Enable built-in SQLite module to load extensions
+sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
+
 ./configure \
   --prefix=/usr \
@@ -96,8 +107,11 @@
   --enable-shared \
   --enable-unicode=ucs4 \
-  --build=$ARCH-slackware-linux
+  --with-system-expat \
+  --with-system-ffi \
+  --without-ensurepip \
+  --build=$ARCH-slackware-linux || exit 1
 
 make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
 
 # Install some python-demo files:
@@ -114,4 +128,5 @@
   ln -sf $TOOLSDIR Tools
 )
+
 # Make a few useful symlinks:
 mkdir -p $PKG/usr/bin
Index: npl/python/python/python.build
===================================================================
--- npl/python/python/python.build	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.build	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,1 +1,1 @@
-6526
+2
Index: npl/python/python/python.depver
===================================================================
--- npl/python/python/python.depver	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.depver	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -4,2 +4,3 @@
 zlib	0
 bzip2	1
+sqlite	2
Index: npl/python/python/python.md5
===================================================================
--- npl/python/python/python.md5	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.md5	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,12 +1,12 @@
-12720b6ddb3f6228450944a06e76562a  ./python-2.7.10-docs-text.tar.bz2
-c685ef0b8e9f27b5e3db5db12b268ac6  ./Python-2.7.10.tar.xz
-8a6ab93c5676327af2fbb208ed7e825c  ./Python-2.7.10.tar.xz.asc
-41a4011e9795a082d622a0a5fa8f9e12  ./python_dev.pkg
+03ab80478a511f0d18d6dcb2e2247706  ./python-2.7.15-docs-text.tar.bz2
+a80ae3cc478460b922242f43a1b4094d  ./Python-2.7.15.tar.xz
+ce1ea0b3fa90ecb9f304b156e86e8db1  ./Python-2.7.15.tar.xz.asc
+b5e3be8d9ecdec7f49482b401b27f3f4  ./python_dev.pkg
 b1775d9322618d14d1cc6985124a43e2  ./python.no-static-library.diff.gz
-480ef350cd7a98d72ad5071ce61c0cf7  ./python.pkg
+47cb6784132a8f557ea8e7a7e2d861d4  ./python.pkg
 81bb71f08c44faf741a42df59b2aba68  ./python.readline.set_pre_input_hook.diff.gz
-36e4f5cabcd0bcf52fcb4bc618861687  ./python.SlackBuild
-687939ad086ef8ef21b5bbbc25eb45e7  ./python.SlackBuild.log.gz
-e51343727231957e558329356f926bfd  ./python.SlackBuild.orig
-ded5d2ca2515cc42393feaeed2faf759  ./python.x86_64.diff.gz
-46d697d30feda20e977ea9a253de37a1  ./slack-desc
+e24c105837d05b9f7976542091a56dfd  ./python.SlackBuild
+b9e2197686e5db3cb21217ec3c13db3e  ./python.SlackBuild.log.gz
+e2243cb6b1f85d9acc290bfdbbe37fd0  ./python.SlackBuild.orig
+e58b05a518b25cf47001060a7bd69a89  ./python.x86_64.diff.gz
+925cf7f5e5e76d3d4b8539981ed31eab  ./slack-desc
Index: npl/python/python/python.version
===================================================================
--- npl/python/python/python.version	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python.version	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,1 +1,1 @@
-2.7.10
+2.7.15
Index: npl/python/python/python_dev.build
===================================================================
--- npl/python/python/python_dev.build	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python_dev.build	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,1 +1,1 @@
-6526
+2
Index: npl/python/python/python_dev.version
===================================================================
--- npl/python/python/python_dev.version	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/python_dev.version	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,1 +1,1 @@
-2.7.10
+2.7.15
Index: npl/python/python/slack-desc
===================================================================
--- npl/python/python/slack-desc	(revision c87032e894c8963fdc119895fea8b8db8a136017)
+++ npl/python/python/slack-desc	(revision 4e95a55b9b23ae9d8d9a3efef826fd2e9ce77d93)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
 # customary to leave one space after the ':'.
 
@@ -10,7 +10,7 @@
 python:
 python: Python is an interpreted, interactive, object-oriented programming
-python: language that combines remarkable power with very clear syntax.  
+python: language that combines remarkable power with very clear syntax. 
 python: Python's basic power can be extended with your own modules written in
-python: C or C++.  Python is also adaptable as an extension language for
+python: C or C++. Python is also adaptable as an extension language for
 python: existing applications. 
 python:
